# $Id: divx4linux.spec,v 1.5 2003/01/11 22:10:41 dude Exp $

%define	date	20020418

Summary: DivX for Linux codec binaries.
Name: divx4linux
Version: 5.01
Release: fr1.%{date}
License: Distributable
Group: System Environment/Libraries
Source: http://download.divx.com/divx/divx4linux501-%{date}.tgz
URL: http://www.divx/com/divx/linux/
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: %{ix86}
Provides: divx5linux = %{version}-%{release}

%description
This archive includes the binary release of DivX Codec 5.01 for x86 Linux.

%prep
%setup -q -n %{name}-%{date}

%install
rm -rf %{buildroot}
for lib in *.so; do
	chmod 755 ${lib}
	mv ${lib} ${lib}.0
	ln -sf ${lib}.0 ${lib}
done
mkdir -p %{buildroot}{%{_libdir},%{_includedir}}
cp -a *.so* %{buildroot}%{_libdir}/
install -m 644 *.h %{buildroot}%{_includedir}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/*
%{_includedir}/*

%changelog
* Sat Jan 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 5.01, put include files back.

* Fri Dec 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Removed include files in order to let xvid replace them!

* Fri Sep 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt on Red Hat Linux 8.0.

* Mon Jun 17 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Revert to 20011025 to have encoding work with transcode.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 20020418.

* Sun Nov 25 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Complete spec file rewrite.

* Tue Aug 07 2001 Mario Mikocevic Mozgy <mozgy@hinet.hr> - 
Initial spec package

